export const LOG_IN = 'LOG_IN';
export const LOGGED_IN = 'LOGGED_IN';
export const LOG_OUT = 'LOG_OUT';
export const LOGIN_ERROR = 'LOGIN_ERROR';

/** data collections **/

export const FETCH_DATACOLLECTIONS = 'FETCH_DATACOLLECTIONS';
export const FETCH_DATACOLLECTIONS_FULFILLED =
  'FETCH_DATACOLLECTIONS_FULFILLED';
export const FETCH_DATACOLLECTIONS_PENDING = 'FETCH_DATACOLLECTIONS_PENDING';

/** investigations **/

export const FETCH_INVESTIGATIONS = 'FETCH_INVESTIGATIONS';
export const FETCH_INVESTIGATIONS_FULFILLED = 'FETCH_INVESTIGATIONS_FULFILLED';
export const FETCH_INVESTIGATIONS_PENDING = 'FETCH_INVESTIGATIONS_PENDING';

export const FETCH_RELEASED_INVESTIGATIONS = 'FETCH_RELEASED_INVESTIGATIONS';
export const FETCH_RELEASED_INVESTIGATIONS_FULFILLED =
  'FETCH_RELEASED_INVESTIGATIONS_FULFILLED';
export const FETCH_RELEASED_INVESTIGATIONS_PENDING =
  'FETCH_RELEASED_INVESTIGATIONS_PENDING';

export const FETCH_MY_INVESTIGATIONS = 'FETCH_MY_INVESTIGATIONS';
export const FETCH_MY_INVESTIGATIONS_PENDING =
  'FETCH_MY_INVESTIGATIONS_PENDING';
export const FETCH_MY_INVESTIGATIONS_FULFILLED =
  'FETCH_MY_INVESTIGATIONS_FULFILLED';

export const FETCH_INSTRUMENT_SCIENTIST_INVESTIGATIONS =
  'FETCH_INSTRUMENT_SCIENTIST_INVESTIGATIONS';
export const FETCH_INSTRUMENT_SCIENTIST_INVESTIGATIONS_FULFILLED =
  'FETCH_INSTRUMENT_SCIENTIST_INVESTIGATIONS_FULFILLED';
export const FETCH_INSTRUMENT_SCIENTIST_INVESTIGATIONS_PENDING =
  'FETCH_INSTRUMENT_SCIENTIST_INVESTIGATIONS_PENDING';

/** datasets */
export const FETCH_DATASETS_BY_INVESTIGATION =
  'FETCH_DATASETS_BY_INVESTIGATION';
export const FETCH_DATASETS_BY_INVESTIGATION_FULFILLED =
  'FETCH_DATASETS_BY_INVESTIGATION_FULFILLED';
export const FETCH_DATASETS_BY_INVESTIGATION_PENDING =
  'FETCH_DATASETS_BY_INVESTIGATION_PENDING';
export const FETCH_DATASETS_BY_INVESTIGATION_REJECTED =
  'FETCH_DATASETS_BY_INVESTIGATION_REJECTED';

export const FETCH_DATASETS_BY_DOI = 'FETCH_DATASETS_BY_DOI';
export const FETCH_DATASETS_BY_DOI_FULFILLED =
  'FETCH_DATASETS_BY_DOI_FULFILLED';
export const FETCH_DATASETS_BY_DOI_PENDING = 'FETCH_DATASETS_BY_DOI_PENDING';

/** logbook **/
export const SET_LOGBOOK_CONTEXT = 'SET_LOGBOOK_CONTEXT';

/** selection */
export const ADD_DATASET_BY_ID = 'ADD_DATASET_BY_ID';
export const REMOVE_DATASET_BY_ID = 'REMOVE_DATASET_BY_ID';
export const ADD_INVESTIGATION_BY_ID = 'ADD_INVESTIGATION_BY_ID';
export const REMOVE_INVESTIGATION_BY_ID = 'REMOVE_INVESTIGATION_BY_ID';

/** breadcrumbs */
export const SET_BREADCRUMBS = 'SET_BREADCRUMBS';
export const APPEND_BREADCRUMB = 'APPEND_BREADCRUMB';
export const CLEAN_BREADCRUMBS = 'CLEAN_BREADCRUMBS';

/** instrumentscientists */
export const FETCH_INSTRUMENTSCIENTISTS = 'FETCH_INSTRUMENTSCIENTISTS';
export const FETCH_INSTRUMENTSCIENTISTS_FULFILLED =
  'FETCH_INSTRUMENTSCIENTISTS_FULFILLED';
export const FETCH_INSTRUMENTSCIENTISTS_PENDING =
  'FETCH_INSTRUMENTSCIENTISTS_PENDING';
