import React from 'react';
import { Glyphicon, Col, Button, Row, Grid } from 'react-bootstrap';
import { LinkContainer } from 'react-router-bootstrap';

function PageNotFound() {
  return (
    <Grid style={{ marginTop: 100 }}>
      <Row>
        <Col xs={12}>
          <h1>Page Not Found</h1>
          <LinkContainer exact to="/" style={{ marginTop: 10 }}>
            <Button bsStyle="primary">
              <Glyphicon glyph="home" style={{ marginRight: 10 }} />
              Back to home
            </Button>
          </LinkContainer>
        </Col>
      </Row>
    </Grid>
  );
}

export default PageNotFound;
