import React from 'react';
import { Glyphicon } from 'react-bootstrap';
import DatasetDownloadButton from './DatasetDownloadButton';

function DatasetFooter(props) {
  const { location, sessionId, dataset } = props;

  return (
    <div className="container-fluid">
      <div className="pull-left">
        <span>
          {' '}
          <Glyphicon glyph="folder-open" /> {location}
        </span>
      </div>
      <div className="pull-right">
        <DatasetDownloadButton sessionId={sessionId} id={dataset.id} />
      </div>
    </div>
  );
}

export default DatasetFooter;
